﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

// Add a reference to Microsoft.Office.Interop.Word. 
using Word = Microsoft.Office.Interop.Word;

namespace howto_rtf_txt_to_word
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtInputFile.Text = Application.StartupPath + "\\RtfTest.rtf";
            txtOutputFile.Text = Application.StartupPath + "\\RtfTest.docx";
        }

        // Open a file and save it as a .doc file.
        private void btnConvert_Click(object sender, EventArgs e)
        {
            Cursor = Cursors.WaitCursor;

            // Get the Word application object.
            Word._Application word_app = new Word.ApplicationClass();

            // Make Word visible (optional).
            //word_app.Visible = true;

            // Open the file.
            object input_file = txtInputFile.Text;
            object missing = Type.Missing;
            word_app.Documents.Open(ref input_file, ref missing, ref missing,
                ref missing, ref missing, ref missing, ref missing,
                ref missing, ref missing, ref missing, ref missing,
                ref missing,
                ref missing, ref missing, ref missing, ref missing);

            // Save the output file.
            object output_file = txtOutputFile.Text;
            object format_doc = (int)16;    // 16 for docx, 0 for doc.
            Word._Document active_document = word_app.ActiveDocument;
            active_document.SaveAs(ref output_file, ref format_doc,
                ref missing, ref missing, ref missing, ref missing,
                ref missing, ref missing, ref missing, ref missing,
                ref missing, ref missing, ref missing, ref missing,
                ref missing, ref missing);

            // Exit the server without prompting.
            object false_obj = false;
            active_document.Close(ref false_obj, ref missing, ref missing);
            word_app.Quit(ref missing, ref missing, ref missing);

            Cursor = Cursors.Default;
            MessageBox.Show("Done");
        }
    }
}
